> For the complete documentation index, see [llms.txt](https://developer.nilvera.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.nilvera.com/api/e-irsaliye-api/yanit-sablonlari/yanit-sablonunu-gunceller.md).

# Yanıt Şablonunu Günceller

## PUT /AnswerTemplates

> Yanıt şablonu günceller.

```json
{"openapi":"3.0.1","info":{"title":"E-Despatch API","version":"v1"},"servers":[{"url":"/edespatch"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"UpdateAnswerTemplateCommand":{"type":"object","properties":{"ID":{"type":"integer","format":"int32"},"Name":{"type":"string","nullable":true},"IsActive":{"type":"boolean","nullable":true},"IsDefault":{"type":"boolean","nullable":true}},"additionalProperties":false}}},"paths":{"/AnswerTemplates":{"put":{"tags":["AnswerTemplates"],"summary":"Yanıt şablonu günceller.","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UpdateAnswerTemplateCommand"}},"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAnswerTemplateCommand"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateAnswerTemplateCommand"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateAnswerTemplateCommand"}}}},"responses":{"200":{"description":"Yanıt şablonu günceller.","content":{"application/json":{"schema":{"type":"boolean"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"},"422":{"description":"Gönderdiğiniz istek geçerli fakat iş kuralları gereği geçersiz değerler içerdiğinde dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#unprocessableentity-422\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var options = new RestClientOptions("https://apitest.nilvera.com")
{
    MaxTimeout = -1,
};

var client = new RestClient(options);
var request = new RestRequest("/edespatch/AnswerTemplates", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "APIKEY");

var body = new
{
    ID = 0,
    Name = "string",
    IsActive = true,
    IsDefault = true,
    Base64String = "string"
};

request.AddJsonBody(body);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);

```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/edespatch/AnswerTemplates',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "ID": 0,
  "Name": "string",
  "IsActive": true,
  "IsDefault": true,
  "Base64String": "string"
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: APIKEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
const axios = require('axios');
let data = JSON.stringify({
  "ID": 0,
  "Name": "string",
  "IsActive": true,
  "IsDefault": true,
  "Base64String": "string"
});

let config = {
  method: 'put',
  maxBodyLength: Infinity,
  url: 'https://apitest.nilvera.com/edespatch/AnswerTemplates',
  headers: { 
    'Content-Type': 'application/json', 
    'Authorization': 'APIKEY'
  },
  data : data
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.nilvera.com/api/e-irsaliye-api/yanit-sablonlari/yanit-sablonunu-gunceller.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
